int T;
T = int.Parse(Console.ReadLine());
string[] s = Console.ReadLine().Split();
int a = int.Parse(s[0]);
int b = int.Parse(s[1]);
string[] p = Console.ReadLine().Split();
int c = int.Parse(p[0]);
int d = int.Parse(p[1]);
Console.WriteLine(-1);
Console.WriteLine(-1);